Package owl.ltl.visitors

## Class XDepthVisitor

- java.lang.Object
- - owl.ltl.visitors.XDepthVisitor

- All Implemented Interfaces:
    `IntVisitor`

      public class XDepthVisitor
      extends Object
      implements IntVisitor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XDepthVisitor()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getDepth​(Formula formula)` |
    `int` | `visit​(BooleanConstant booleanConstant)` |
    `int` | `visit​(Conjunction conjunction)` |
    `int` | `visit​(Disjunction disjunction)` |
    `int` | `visit​(FOperator fOperator)` |
    `int` | `visit​(GOperator gOperator)` |
    `int` | `visit​(Literal literal)` |
    `int` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from interface owl.ltl.visitors.IntVisitor

      `visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDepthVisitor

          public XDepthVisitor()

  - ### Method Detail

    - #### getDepth

          @Nonnegative
          public static int getDepth​(Formula formula)

    - #### visit

          @Nonnegative
          public int visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          @Nonnegative
          public int visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          @Nonnegative
          public int visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          @Nonnegative
          public int visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          @Nonnegative
          public int visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          @Nonnegative
          public int visit​(Literal literal)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          @Nonnegative
          public int visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `IntVisitor`